package cn.hmsoft.weixin.entity.message;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "xml")
@XmlAccessorType(XmlAccessType.FIELD)
public class EventMessage extends BasicMessage {

	private String Event; // 事件类型
	private String EventKey;
	private String Ticket;

	private String Latitude; // 地理位置纬度

	private String Longitude; // 地理位置经度
	private String Psrecision; // 地理位置精度

	public String getEvent() {
		return Event;
	}

	public void setEvent(String event) {
		Event = event;
	}

	public String getEventKey() {
		return EventKey;
	}

	public void setEventKey(String eventKey) {
		EventKey = eventKey;
	}

	public String getTicket() {
		return Ticket;
	}

	public void setTicket(String ticket) {
		Ticket = ticket;
	}

	public String getLatitude() {
		return Latitude;
	}

	public void setLatitude(String latitude) {
		Latitude = latitude;
	}

	public String getLongitude() {
		return Longitude;
	}

	public void setLongitude(String longitude) {
		Longitude = longitude;
	}

	public String getPsrecision() {
		return Psrecision;
	}

	public void setPsrecision(String psrecision) {
		Psrecision = psrecision;
	}

}
